package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * @description  外部用户和部门关系实体表
 * @author  yangzibin
 * @date    2023/12/28 17:18
 * @param	null
 * @return
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_external_user_dept")
@ApiModel(description="外部系统部门表（钉钉、企微）")
public class OrgExternalUserDept extends BaseModel<OrgExternalUserDept> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;

    /**
     * 外部系统部门id
     */
    @TableField("EXTERNAL_DEPT_ID_")
    @ApiModelProperty(name="externalDeptId",notes="外部系统部门id")
    protected String externaldDeptId;

    /**o
     * 外部系统用户id
     */
    @TableField("EXTERNAL_USER_ID_")
    @ApiModelProperty(name="externalUserId",notes="外部系统用户id")
    protected String externalUserId;

    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    /**
     * 租户id
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="组织id")
    protected String orgId;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="createTime",notes="更新时间")
    protected LocalDateTime updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExternaldDeptId() {
        return externaldDeptId;
    }

    public void setExternaldDeptId(String externaldDeptId) {
        this.externaldDeptId = externaldDeptId;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }
}
